Package org.eclipse.graphiti.func

# Interface ICreateInfo

All Known Subinterfaces:
  `IConnectionPattern`, `ICreate`, `ICreateConnection`, `ICreateConnectionFeature`, `ICreateFeature`, `IPattern`

All Known Implementing Classes:
  `AbstractConnectionPattern`, `AbstractCreateConnectionFeature`, `AbstractCreateFeature`, `AbstractPattern`, `CreateConnectionFeatureForPattern`, `CreateFeatureForPattern`, `IdPattern`, `TypedPattern`

public interface ICreateInfo
The Interface ICreateInfo.

## Method Summary

Modifier and Type
Method
Description
`String`
`getCreateDescription()`
Gets the create description.
`String`
`getCreateImageId()`
Gets the create image id.
`String`
`getCreateLargeImageId()`
Gets the create large image id.
`String`
`getCreateName()`
Gets the create name.

## Method Details

### getCreateName

String getCreateName()
Gets the create name.

Returns:
  name for UI representation

### getCreateDescription

String getCreateDescription()
Gets the create description.

Returns:
  description for UI representation

### getCreateImageId

String getCreateImageId()
Gets the create image id.

Returns:
  image for UI representation

### getCreateLargeImageId

String getCreateLargeImageId()
Gets the create large image id.

Returns:
  large image for UI representation